import express from "express";
import passport from "passport";
const router = express.Router();

import * as calendarController from "../controllers/calendarController";

router.get(
  "/auth/google",
  passport.authenticate("google", {
    scope: [
      "https://www.googleapis.com/auth/calendar.app.created",
      "https://www.googleapis.com/auth/calendar.events.freebusy",
    ],
  })
);

router.get(
  "/auth/google/callback",
  passport.authenticate("google", {
    failureRedirect:
      "https://customerdashboard.ex.umbach.dev/store/calendar/failed",
  }),
  function (req, res) {
    // Successful authentication, redirect home.
    console.log("req.user", req.user);
    res.redirect(
      "https://customerdashboard.ex.umbach.dev/store/calendar/finish"
    );
  }
);

export default router;
